---
apiVersion: v1
kind: Service
metadata:
  annotations:
    app.quarkus.io/commit-id: e8b83d84e122dbca908952148fffda42dd975765
    app.quarkus.io/build-timestamp: 2022-07-28 - 09:50:15 +0000
  labels:
    app.kubernetes.io/name: policyservice
    app: policyservice
  name: policyservice
spec:
  ports:
    - name: grpc
      port: 6060
      targetPort: 6060
    - name: http
      port: 8080
      targetPort: 8080
  selector:
    app.kubernetes.io/name: policyservice
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    app.quarkus.io/commit-id: e8b83d84e122dbca908952148fffda42dd975765
    app.quarkus.io/build-timestamp: 2022-07-28 - 09:50:15 +0000
  labels:
    app: policyservice
    app.kubernetes.io/name: policyservice
  name: policyservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: policyservice
  template:
    metadata:
      annotations:
        app.quarkus.io/commit-id: e8b83d84e122dbca908952148fffda42dd975765
        app.quarkus.io/build-timestamp: 2022-07-28 - 09:50:15 +0000
      labels:
        app: policyservice
        app.kubernetes.io/name: policyservice
    spec:
      containers:
        - env:
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
            - name: CONTEXT_SERVICE_HOST
              value: contextservice
            - name: SERVICE_SERVICE_HOST
              value: serviceservice
            - name: MONITORING_SERVICE_HOST
              value: monitoringservice
          image: registry.gitlab.com/teraflow-h2020/controller/policy:0.1.0
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/live
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 2
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 10
          name: policyservice
          ports:
            - containerPort: 6060
              name: grpc
              protocol: TCP
            - containerPort: 8080
              name: http
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/ready
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 2
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 10
